Page MenuHomePhabricator

Engineering Community team goals for October 2014
Closed, ResolvedPublic

Description

This is our first attempt to organize the monthly goals of the Engineering Community team in Phabricator.

At a minimum, every goal that would have been listed in a page like this one should have its own task now assigned to its owner. Don't worry too much about the details, we will learn and fine tune.

Event Timeline

Qgil created this task.Oct 6 2014, 10:52 PM
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Rfarrand, Aklapper.
Qgil renamed this task from Engineering Community team goals for October 2015 to Engineering Community team goals for October 2014.Oct 7 2014, 4:47 PM
Qgil added a comment.Oct 7 2014, 8:38 PM

Robla advised me to create a project for this monthly sprint in order to have a workboard to follow the progress. He said that if we want to set a precedent we better do it right, based on sprints like most WMF teams will do, and showing a Trello-like board as reference instead of a Bugzilla-like list of blocking tasks.

He has a point... Also, maybe this way we can add some flexibility between the official goals (all blocking this task) and other ECT tasks that we also want to work on this month (bonus points), which we can also follow in the workboard. Anyway, let me play with this now...

I have also started writing about priorities at https://www.mediawiki.org/wiki/Phabricator/Project_Management

Qgil moved this task from Backlog to Doing on the ECT-October-2014 board.Oct 7 2014, 8:58 PM
Qgil added a comment.Oct 13 2014, 9:39 PM

Note to self: this task can be closed only after the ECT had published all the monthly reports.

Qgil lowered the priority of this task from High to Normal.Oct 13 2014, 9:39 PM
Qgil added a comment.EditedOct 20 2014, 12:43 AM

I wonder, should we add the ECT-October-2014 tag to other tasks that we end up doing this month, or plan to complete this month? Rachel is doing so, and I find it useful. Andre and myself still not. In any case, we should do it only for the tasks that really take a significant amount of work.

The idea could be that the main tasks agreed at the beginning of the month are added here as blockers, but then more can be added just by assigning them to ECT-October-2014.

Thoughts?

Qgil moved this task from Doing to Ready to Go on the ECT-October-2014 board.Nov 4 2014, 2:39 PM
Qgil claimed this task.Nov 10 2014, 12:28 PM

Reporting still missing...

Qgil raised the priority of this task from Normal to High.Nov 18 2014, 11:33 AM
Qgil closed this task as Resolved.Nov 27 2014, 2:56 PM

(My) October reports are finally posted. https://www.mediawiki.org/wiki/Engineering_Community_Team